.contrast-section {
  padding: 0 var(--distance);
}
.contrast-section .container {
  --col1: 21.121495%;
  --col2: 51.962617%;
  --col3: 26.915888%;
  padding: 3.1vw;
}
.contrast-section .container .section-header {
  margin-bottom: 8.2rem;
}
.contrast-section .container .section-header .title {
  font-size: 5.4rem;
  margin-bottom: 2rem;
}
.contrast-section .container .section-header .info {
  font-size: 2.8rem;
  color: #5D6C72;
}
.contrast-section .container .section-header .info p {
  margin-bottom: calc(2.8rem * 1.2);
}
.contrast-section .container .btns {
  display: grid;
  grid-template-columns: var(--col1) var(--col2) var(--col3);
  grid-template-areas: "btn1 btn2 btn3";
  justify-content: flex-end;
  margin: 4.2rem 0rem;
}
.contrast-section .container .btns .btn {
  text-transform: uppercase;
  display: inline-block;
  font-size: 2.4rem;
  padding: 1.2rem 4.2rem;
  justify-self: flex-end;
  /* 2026-08-16 按钮(div)显示手型光标 */
  cursor: pointer;
}
.contrast-section .container .btns .btn:nth-child(1) {
  grid-area: "btn2";
  width: 100%;
  box-sizing: border-box;
  border-radius: 0;
  background-color: var(--scolor);
  color: #001A71;
}
.contrast-section .container .btns .btn:nth-child(2) {
  grid-area: "btn3";
}
.contrast-section .container .btns .blue {
  grid-area: btn2;
}
.contrast-section .container .btns .border {
  /* 2026-08-16 去掉边框 (原 border: 1px solid #DAE1E3) */
  color: #5D6C72;
  grid-area: btn3;
}
.contrast-section .container .setup-items .setup-item {
  border-top: 1px solid #000;
}
.contrast-section .container .setup-items .setup-item__hearder {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 3.1rem 0;
  gap: 1.5rem;
  border-bottom: 1px solid var(--scolor);
  cursor: pointer;
}
.contrast-section .container .setup-items .setup-item__hearder .icon svg {
  width: inherit;
  height: inherit;
  object-fit: contain;
}
.contrast-section .container .setup-items .setup-item__hearder .select {
  width: 2rem;
  height: 2rem;
  transform-origin: center center;
  transform: rotateX(180deg);
  transition: transform 0.3s ease-in-out;
}
.contrast-section .container .setup-items .setup-item__hearder .title-container {
  flex: 1;
}
.contrast-section .container .setup-items .setup-item__hearder .title-container .title {
  font-size: 3.72rem;
  font-weight: bold;
  margin-bottom: 1rem;
}
.contrast-section .container .setup-items .setup-item__hearder .title-container .sub-title {
  font-size: 2.64rem;
  color: #6f6f6f;
  line-height: 1;
}
.contrast-section .container .setup-items .setup-item__hearder .close {
  width: 2rem;
  height: 2rem;
  transform: rotate(45deg);
  transition: transform 0.3s ease-in-out;
}
.contrast-section .container .setup-items .setup-item__body {
  transition: all 1s ease-in-out;
  max-height: 0;
  overflow: hidden;
}
.contrast-section .container .setup-items .setup-item__body .node-item {
  display: flex;
}
.contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(1) {
  width: var(--col1);
  padding: 2.46rem 1.6rem;
  box-sizing: border-box;
  border-bottom: 1px solid var(--scolor);
}
.contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(1) .index {
  color: var(--color);
  font-size: 2.1rem;
}
.contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(1) .label {
  font-size: 3rem;
  line-height: 1.2;
}
.contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) {
  width: var(--col2);
  padding: 2.46rem 1.6rem;
  box-sizing: border-box;
  border-left: 1px solid #000;
  border-right: 1px solid #000;
  background-color: var(--scolor);
}
.contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) .tags {
  display: flex;
  flex-wrap: wrap;
  gap: 0.8rem;
}
.contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) .tags .tag {
  background-color: #fff;
  padding: 0.7rem 1rem;
  font-size: 2.36rem;
  line-height: 1;
  border-radius: 0.3rem;
  margin-bottom: 0.8rem;
  color: #5D6C72;
  border: #DACDCB dashed 1px;
}
.contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) .desc {
  --size: 2.36rem;
  font-size: var(--size);
  color: var(--color);
}
.contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) .desc > div {
  font-size: inherit;
}
.contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) .desc > div .bigo {
  width: var(--size);
  height: var(--size);
}
.contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) .desc > div .bigo path {
  stroke: var(--color);
}
.contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(3) {
  width: var(--col3);
  padding: 2.46rem 1.6rem;
  box-sizing: border-box;
  font-size: 2.55rem;
  border-bottom: 1px solid var(--scolor);
  color: #6f6f6f;
}
.contrast-section .container .setup-items .setup-item.active .setup-item__hearder .select {
  transform: rotateX(0deg);
}
.contrast-section .container .setup-items .setup-item.active .setup-item__hearder .close {
  transform: rotate(0deg);
}
.contrast-section .container .setup-items .setup-item.active .setup-item__body {
  max-height: attr(data-h);
}
@media all and (max-width: 1441px) {
  .contrast-section .container .section-header .title {
    font-size: var(--h1);
  }
  .contrast-section .container .section-header .info {
    font-size: var(--h3);
  }
  .contrast-section .container .btns .btn {
    font-size: var(--h4);
  }
  .contrast-section .container .setup-items .setup-item__hearder .select {
    width: 2rem;
    height: 2rem;
  }
  .contrast-section .container .setup-items .setup-item__hearder .title-container .title {
    font-size: var(--h2);
  }
  .contrast-section .container .setup-items .setup-item__hearder .title-container .sub-title {
    font-size: var(--h3);
  }
  .contrast-section .container .setup-items .setup-item__hearder .close {
    width: 2rem;
    height: 2rem;
  }
  .contrast-section .container .setup-items .setup-item__body .node-item {
    display: flex;
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(1) .index {
    font-size: var(--h5);
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(1) .label {
    font-size: var(--h3);
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) .tags .tag {
    font-size: var(--h4);
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) .desc {
    --size: var(--h4);
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(3) {
    font-size: var(--h4);
  }
}
@media all and (max-width: 821px) {
  .contrast-section .container .section-header .title {
    font-size: var(--t1);
  }
  .contrast-section .container .section-header .info {
    font-size: var(--t3);
  }
  .contrast-section .container .btns .btn {
    font-size: var(--t4);
  }
  .contrast-section .container .setup-items .setup-item__hearder .select {
    width: 2rem;
    height: 2rem;
  }
  .contrast-section .container .setup-items .setup-item__hearder .title-container .title {
    font-size: var(--t2);
  }
  .contrast-section .container .setup-items .setup-item__hearder .title-container .sub-title {
    font-size: var(--t3);
  }
  .contrast-section .container .setup-items .setup-item__hearder .close {
    width: 2rem;
    height: 2rem;
  }
  .contrast-section .container .setup-items .setup-item__body .node-item {
    display: flex;
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(1) .index {
    font-size: var(--t5);
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(1) .label {
    font-size: var(--t3);
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) .tags .tag {
    font-size: var(--t4);
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) .desc {
    --size: var(--t4);
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(3) {
    font-size: var(--t4);
  }
}
@media all and (max-width: 500px) {
  .contrast-section .container {
    --col1: 50%;
    --col2: 50%;
    --col3: 50%;
    padding: 0 0 0 0;
  }
  .contrast-section .container .section-header .title {
    font-size: var(--t1);
  }
  .contrast-section .container .section-header .info {
    font-size: var(--t3);
  }
  .contrast-section .container .btns .btn {
    font-size: var(--t4);
    padding: 1.2rem 1.8rem;
  }
  .contrast-section .container .setup-items .setup-item__hearder .select {
    width: 2rem;
    height: 2rem;
  }
  .contrast-section .container .setup-items .setup-item__hearder .title-container .title {
    font-size: var(--t2);
  }
  .contrast-section .container .setup-items .setup-item__hearder .title-container .title br {
    display: none;
  }
  .contrast-section .container .setup-items .setup-item__hearder .title-container .sub-title {
    font-size: var(--t3);
  }
  .contrast-section .container .setup-items .setup-item__hearder .close {
    width: 2rem;
    height: 2rem;
  }
  .contrast-section .container .setup-items .setup-item__body .node-item {
    display: flex;
    flex-wrap: wrap;
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(1) {
    width: 100%;
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(1) .index {
    font-size: var(--t5);
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(1) .label {
    font-size: var(--t3);
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) {
    width: 50%;
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) .tags .tag {
    font-size: var(--t4);
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(2) .desc {
    --size: var(--t4);
  }
  .contrast-section .container .setup-items .setup-item__body .node-item .col:nth-child(3) {
    width: 50%;
    font-size: var(--t4);
  }
}
